// /ngslib/source/Clib_billw/SCCS/s.getdir_geoidux.c
// ----- constants ---------------------------------------------------
static const char SCCSID[]="@(#)getdir_geoidux.c	1.1	2010/02/22 NGS";

// ----- standard library --------------------------------------------
#include <stdio.h>
#include <string.h>

// ----- classes, structs, types -------------------------------------
// ----- functions ---------------------------------------------------
#include "getdir_geoid.h"


int getdir_geoid(int imodel, char* dirnam) {
/*******************************************************************************
* For the NGS unix network system, returns the directory location 
* where geoid binary model grid files are located. 
*  in - imodel : user selected geoid model   int
*  in - dirnam : char vector, empty          character*256 dirnam
*  out- dirnam : char vector, filled
*******************************************************************************/
    switch (imodel) {
    case 1: 
        strcpy(dirnam, "/ngslib/data/Geoid/Geoid99/");
        break;
    case 2: 
        strcpy(dirnam, "/ngslib/data/Geoid/G99sss/");
        break;
    case 3: 
        strcpy(dirnam, "/ngslib/data/Geoid/Geoid03/");
        break;
    case 4: 
        strcpy(dirnam, "/ngslib/data/Geoid/USGG2003/");
        break;
    case 5: 
        strcpy(dirnam, "/ngslib/data/Geoid/Geoid06/");
        break;
    case 6: 
        strcpy(dirnam, "/ngslib/data/Geoid/USGG2009/Format_unix/");
        break;
    case 7: 
        strcpy(dirnam, "/ngslib/data/Geoid/Geoid09/Format_unix/");
        break;

    case 9: 
        strcpy(dirnam, "/ngslib/data/Geoid/Geoid99/");
        break;

    default: 
        fprintf(stderr, "ERROR: in file getdirux, invalid option %d\n", imodel);
        return( -1 );
    }//~switch

    return(0);

}//~getdir_geoidux

