// ----- constants ---------------------------------------------------
static const char SCCSID[]="@(#)west_to_east.c	1.7	2009/05/27 NGS";
// /ngslib/source/Clib_craig/SCCS/s.west_to_east.c

// ----- standard library --------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

// ----- functions ---------------------------------------------------
#include "west_to_east.h"


void west_to_east( char* lon ) {
/*********************************************************************
* Converts West Longitude to East.
* Input lon of W2611442.85747 converts to E0984517.14253
* If conversion is for use with Min/Max input
* Run converted Min/Max values through mm_to_mmfix.c
* to insure MaxLat > MinLat
*********************************************************************/
    char dir[2];
    char temp[16];
    double sec;
    int  deg;
    int  min;
    int  place=0;
    int  ii=0;

    strncpy(dir, "\0", 2);
    strncpy(temp,"\0",16);

    if( (sscanf(lon,"%1s%03d%02d%8c",dir,&deg,&min,temp)) != 4 ) {
        printf("Error in lon conversion.\n");
        exit(1);
    }

    if      (isdigit(lon[13]))  place=5;
    else if (isdigit(lon[12]))  place=4;
    else if (isdigit(lon[11]))  place=3;
    else if (isdigit(lon[10]))  place=2;
    else if (isdigit(lon[9]))   place=1;
    else                        place=0;

    sec = atof(temp);
    sec = atof(temp);
    // ------------------------------------
    // Convert to East
    // ------------------------------------
    if (sec > 0L) {
        sec = 60.0 - sec;
        min = 59 - min;
        deg = 359 - deg;
    }
    else if (min > 0) {
        min = 60 - min;
        deg = 359 - deg;
    }
    else if (deg > 0) {
        deg = 360 - deg;
    }

    if      (place == 5)  sprintf(temp,"%8.5lf",sec);
    else if (place == 4)  sprintf(temp,"%7.4lf",sec);
    else if (place == 3)  sprintf(temp,"%6.3lf",sec);
    else if (place == 2)  sprintf(temp,"%5.2lf",sec);
    else if (place == 1)  sprintf(temp,"%4.1lf",sec);
    else                  sprintf(temp,"%2.0lf",sec);

    if (dir[0] == 'E')  strcpy(dir, "W");
    else                strcpy(dir, "E");

    strncpy(lon,"\0",15);

    for (ii = 0; ii < 8; ii++)
       if (temp[ii] == ' ')
           temp[ii] = '0';

    if     (place == 5) sprintf(lon,"%-1.1s%03d%02d%-8.8s",dir,deg,min,temp);
    else if(place == 4) sprintf(lon,"%-1.1s%03d%02d%-7.7s",dir,deg,min,temp);
    else if(place == 3) sprintf(lon,"%-1.1s%03d%02d%-6.6s",dir,deg,min,temp);
    else if(place == 2) sprintf(lon,"%-1.1s%03d%02d%-5.5s",dir,deg,min,temp);
    else if(place == 1) sprintf(lon,"%-1.1s%03d%02d%-4.4s",dir,deg,min,temp);
    else                sprintf(lon,"%-1.1s%03d%02d%-2.2s",dir,deg,min,temp);

    for(ii = 0; ii < 7; ii++)
       if (lon[ii] == ' ')
           lon[ii] = '0';

}//~west_to_east

